/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-09-03 14:50:49
 * @LastEditTime: 2023-03-05 19:05:32
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 居住详情
 */
import React from 'react';
import { Space } from 'dingtalk-design-mobile';
import { LocationOutlined, HomeOutlined } from 'dd-icons';
import { searchPersonRoom_svg_9, searchPersonRoom_svg_12 } from "../../assets/icon";
import MyModal from '../MyModal';
import { dateFormat } from '../../utils/utility';

const ResidenceDetail = ({ data, onClose }) => {
  return (
    <MyModal visible={data.visible} title="居住详情" onClose={onClose}>
      <div className="livingTrack-card-main" style={{ display: 'block' }}>
        <div className="livingTrack-card-main-line">
          <div>
            <LocationOutlined />
          </div>
          <div className="livingTrack-card-main-flex">{data.houseaddress}</div>
        </div>
        <div className="livingTrack-card-main-line">
          <div className='searchPersonRoomSearch-card-main-img'>
            <img src={searchPersonRoom_svg_9} alt="" />
          </div>
          <div className="livingTrack-card-main-flex">
            {data.districtName} {data.subdistrictName} {data.communityName}
          </div>
        </div>
      </div>
      <div className="livingTrack-subtitle">
        <Space direction="vertical" style={{ '--gap-vertical': '4px' }}>
          <div>
            <span>居住状态：</span>
            <span className={`livingTrack-card-header-action-${data.liveType === '1' ? 'green' : 'red'}`}>{data.liveTypeDesc}</span>
          </div>
          {data.liveType === '2' && (
            <div style={{ display: 'flex' }}>
              <div>迁出原因：</div>
              <div style={{ flex: 1 }}>{data.outReasonDesc} {data.outContent ? `（${data.outContent}）` : ''}</div>
            </div>
          )}
          <div>登记时间：{dateFormat(data.editorTime)}</div>
          {data.liveType === '2' && <div>迁出时间：{dateFormat(data.griderTime)}</div>}
          <div>最近一次更新时间：{dateFormat(data.updateTime)}</div>
          <div className="searchPersonRoomSearch-card-main-flex" style={{ paddingLeft: '0', alignItems: 'center' }}>
            网格员：{data.grider || '-'}
            <div className='public-split'></div>
            <div className='searchPersonRoomSearch-card-main-img'>
              <img src={searchPersonRoom_svg_12} alt="" />
            </div>{data.mobile || '-'}</div>
        </Space>
      </div>
    </MyModal>
  );
};

export default ResidenceDetail;
